# palette.cpp File Reference

Template File. More...

`#include "palette.h"`
`#include "surface.h"`
`#include "general.h"`
`#include <fstream>`
`#include <iostream>`

## Defines

#define | PALETTE_FILE_COOKIE "SYNFIGPAL1.0"

## Functions

bool | weight_less_than (const PaletteItem &lhs, const PaletteItem &rhs)
bool | luma_less_than (const PaletteItem &lhs, const PaletteItem &rhs)
bool | luma_less_than (const PaletteItem &lhs, const float &rhs)

## Detailed Description

Template File.

$Id$

## Define Documentation

#define PALETTE_FILE_COOKIE "SYNFIGPAL1.0"

Referenced by synfig::Palette::load_from_file(), and synfig::Palette::save_to_file().

## Function Documentation

bool weight_less_than | ( | const PaletteItem & | lhs,
|  | const PaletteItem & | rhs |
| ) |  |  |

References synfig::PaletteItem::weight.

bool luma_less_than | ( | const PaletteItem & | lhs,
|  | const PaletteItem & | rhs |
| ) |  |  |

References synfig::PaletteItem::color, and synfig::Color::get_y().

bool luma_less_than | ( | const PaletteItem & | lhs,
|  | const float & | rhs |
| ) |  |  |

References synfig::PaletteItem::color, and synfig::Color::get_y().